#pragma strict

	var speed : float = 10;
	var translationV : float; 
	var translationH : float; 
	var tickcount : float;
	function Update () {
		
		if(tickcount < 80){
		translationV += Input.GetAxis ("Vertical3") * speed;
		translationH += Input.GetAxis ("Horizontal3") * speed;
		}
		if(tickcount == 81){
		Move(translationH, translationV);
		translationH = 0;
		translationV = 0;
		}	
		if(tickcount == 120){
		tickcount = 0;
		}
		tickcount ++;
		
		
	}
	
	function Move( translationH:float,translationV:float){
	rigidbody2D.AddForce(Vector2(translationH, translationV));
	}
	
